package com.hp.user.client.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 王怡静
 * @since 2020/11/19
 * 基础类
 */
public class Base implements Serializable {
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 创建用户Id
     */
    private Long createUserId;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 更新用户Id
     */
    private Long updateUserId;

    public Base(){

    }
    public Base(Date createTime, Long createUserId, Date updateTime, Long updateUserId) {
        this.createTime = createTime;
        this.createUserId = createUserId;
        this.updateTime = updateTime;
        this.updateUserId = updateUserId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }
}
