package com.hp.user.service;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;

/**
 * 用户服务启动类
 * @author yeqid
 * @since 2020/11/18
 *
 */
@MapperScan("com.hp.user.service.mapper") //扫描的mapper
@SpringBootApplication
@NacosPropertySource(dataId = "datasource1", autoRefreshed = true)
public class UserServiceApplaction {
	

	public static void main(String[] args) {
		
		SpringApplication.run(UserServiceApplaction.class, args);
		

	}
	

}
